//+------------------------------------------------------------------+
//|                                           SBAY_SEMA_SCALPING.mq4 |
//|                      Copyright  2009, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "teoman@celik.com FEEL FREE TO ASK ANY PROBLEMS ,COMMERCIAL USE NOT ALLOWED"
#property link      "http://www.metaquotes.net"
//---- input parameters

double p=0,p2=0;

double ddyesterday_high=0;
double ddyesterday_open=0;
double ddyesterday_low=0;
double ddyesterday_close=0;
double ddob=0;
double ob=0,wob=0;
double dob=0;
double dyesterday_high=0,tob=0;
double dyesterday_open=0;
double dyesterday_low=0;
double dyesterday_close=0;
double yesterday_high=0;
double yesterday_open=0;
double yesterday_low=0;
double yesterday_close=0;
double today_open=0,w_open=0,w_high=0,w_low=0;
double today_high=0;
double today_low=0;

double rates_d1[][6];
double rates_w1[][6];
int    bar;

double s=0;
double r=0;

extern string myHHMM       = "00:00" ; // ilk bar saati
string yymmddms ;
datetime var1 ;
int bs;
double  H,L ;


extern string myHHMM2       = "01:00" ;  // ikinci bar saati
string yymmddms2 ;
datetime var12 ;
int bs2;
double  H2,L2 ;


/*
Bu arada karsklk olmasn


Beyaz- Gunun Acls

magenta- Gunun yuksek ve dusukler

Koyu mavler - Market profle gore trend olmayan alan

Sar-- Gunun hgh ve lowunun tam ortas yan fbo % 50 noktas


Ack mav- Close'a gore olusan gunluk dnamk pvot

*/


//---- buffers

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
 yymmddms = TimeYear(Time[0]) + "." + TimeMonth(Time[0]) + "." + TimeDay(Time[0]) + " " + myHHMM   ;
 yymmddms2 = TimeYear(Time[0]) + "." + TimeMonth(Time[0]) + "." + TimeDay(Time[0]) + " " + myHHMM2   ;
}

   return(0);

//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
  
   ObjectDelete("to");
   ObjectDelete("high");
   ObjectDelete("low"); 
   ObjectDelete("p2");  
   ObjectDelete("p"); 
   
   ObjectDelete("r");  
   ObjectDelete("s"); 

   

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+

int start()
  {

RefreshRates();
 FiboPivot();


return(0);
}

 
    void FiboPivot()
  {
  
//----
ArrayCopyRates(rates_w1, Symbol(), PERIOD_W1);

w_open = rates_w1[0][1];
w_low  = rates_w1[0][2];
w_high = rates_w1[0][3];


ArrayCopyRates(rates_d1, Symbol(), PERIOD_D1);

double i;


   if(TimeDayOfWeek(iTime(Symbol(),PERIOD_D1,i)) == 0)
         {
ddyesterday_close = rates_d1[4][4];
ddyesterday_open = rates_d1[4][1];
ddyesterday_high = rates_d1[4][3];
ddyesterday_low = rates_d1[4][2];  
     
dyesterday_close = rates_d1[3][4];
dyesterday_open = rates_d1[3][1];
dyesterday_high = rates_d1[3][3];
dyesterday_low = rates_d1[3][2];
   
yesterday_close = rates_d1[2][4];
yesterday_open = rates_d1[2][1];
yesterday_high = rates_d1[2][3];
yesterday_low = rates_d1[2][2];

today_open = rates_d1[1][1];
today_high = rates_d1[1][3];
today_low  = rates_d1[1][2];
 if(today_high < rates_d1[0][3] ) {
      today_high = rates_d1[0][3];
   }
   if(today_low > rates_d1[0][2] ) {
      today_low = rates_d1[0][2];
   }

         }
            if(TimeDayOfWeek(iTime(Symbol(),PERIOD_D1,i)) == 1)
         {
   
   ddyesterday_open = rates_d1[4][1];
   ddyesterday_low = rates_d1[4][2]; 
   ddyesterday_high = rates_d1[4][3]; 
   ddyesterday_close = rates_d1[4][4];
     
   
   dyesterday_open = rates_d1[3][1];
   dyesterday_low = rates_d1[3][2];
   dyesterday_high = rates_d1[3][3];
   dyesterday_close = rates_d1[3][4];
 
   
   
   yesterday_open = rates_d1[2][1];
   yesterday_low = rates_d1[2][2];
   yesterday_high = rates_d1[2][3];
   yesterday_close = rates_d1[2][4];
  



   today_open = rates_d1[1][1];
   today_low  = rates_d1[1][2];
   today_high = rates_d1[1][3];
   
      if(today_high < rates_d1[0][3] ) {
      today_high = rates_d1[0][3];
   }
   if(today_low > rates_d1[0][2] ) {
      today_low = rates_d1[0][2];
   }
   
  
         }
           if(TimeDayOfWeek(iTime(Symbol(),PERIOD_D1,i)) == 2)
         {
ddyesterday_close = rates_d1[4][4];
ddyesterday_open = rates_d1[4][1];
ddyesterday_high = rates_d1[4][3];
ddyesterday_low = rates_d1[4][2];  
     
dyesterday_close = rates_d1[3][4];
dyesterday_open = rates_d1[3][1];
dyesterday_high = rates_d1[3][3];
dyesterday_low = rates_d1[3][2];
   
   
yesterday_close = rates_d1[1][4];
yesterday_open = rates_d1[2][1];
yesterday_high = rates_d1[2][3];
yesterday_low = rates_d1[2][2];
      if(yesterday_high < rates_d1[1][3] ) {
      yesterday_high = rates_d1[1][3];
   }
   if(yesterday_low > rates_d1[1][2] ) {
      yesterday_low = rates_d1[1][2];
   }


today_open = rates_d1[0][1];
today_high = rates_d1[0][3];
today_low  = rates_d1[0][2];
         }
          if(TimeDayOfWeek(iTime(Symbol(),PERIOD_D1,i)) == 3)
         {
ddyesterday_close = rates_d1[4][4];
ddyesterday_open = rates_d1[4][1];
ddyesterday_high = rates_d1[4][3];
ddyesterday_low = rates_d1[4][2]; 


dyesterday_close = rates_d1[2][4];
dyesterday_open = rates_d1[3][1];
dyesterday_high = rates_d1[3][3];
dyesterday_low = rates_d1[3][2];

      if(dyesterday_high < rates_d1[2][3] ) {
      dyesterday_high = rates_d1[2][3];
   }
   if(dyesterday_low > rates_d1[2][2] ) {
      dyesterday_low = rates_d1[2][2];
   }



   
yesterday_close = rates_d1[1][4];
yesterday_open = rates_d1[1][1];
yesterday_high = rates_d1[1][3];
yesterday_low = rates_d1[1][2];

today_open = rates_d1[0][1];
today_high = rates_d1[0][3];
today_low  = rates_d1[0][2];
         }
         
             if(TimeDayOfWeek(iTime(Symbol(),PERIOD_D1,i)) == 4)
         {
ddyesterday_close = rates_d1[3][4];
ddyesterday_open = rates_d1[3][1];
ddyesterday_high = rates_d1[3][3];
ddyesterday_low = rates_d1[3][2]; 

     
dyesterday_close = rates_d1[2][4];
dyesterday_open = rates_d1[2][1];
dyesterday_high = rates_d1[2][3];
dyesterday_low = rates_d1[2][2];
   
yesterday_close = rates_d1[1][4];
yesterday_open = rates_d1[1][1];
yesterday_high = rates_d1[1][3];
yesterday_low = rates_d1[1][2];

today_open = rates_d1[0][1];
today_high = rates_d1[0][3];
today_low  = rates_d1[0][2];
         }
         
         if(TimeDayOfWeek(iTime(Symbol(),PERIOD_D1,i)) == 5)
         {
ddyesterday_close = rates_d1[3][4];
ddyesterday_open = rates_d1[3][1];
ddyesterday_high = rates_d1[3][3];
ddyesterday_low = rates_d1[3][2];  
     
dyesterday_close = rates_d1[2][4];
dyesterday_open = rates_d1[2][1];
dyesterday_high = rates_d1[2][3];
dyesterday_low = rates_d1[2][2];
   
yesterday_close = rates_d1[1][4];
yesterday_open = rates_d1[1][1];
yesterday_high = rates_d1[1][3];
yesterday_low = rates_d1[1][2];

today_open = rates_d1[0][1];
today_high = rates_d1[0][3];
today_low  = rates_d1[0][2];
         }



//---- Calculate Pivots

bar  = iBarShift(NULL,60,Time[0]);
double current  = iClose(NULL,60,bar);

      var1     = StrToTime(yymmddms); 
      
      bs       = iBarShift(NULL,60,var1,false) ;
      
      H = iHigh(NULL,60,bs)  ;  
      L = iLow(NULL,60,bs)   ;  
      
      var12     = StrToTime(yymmddms2); 
      
      bs2       = iBarShift(NULL,60,var12,false) ;
      
      H2 = iHigh(NULL,60,bs2)  ;  
      L2 = iLow(NULL,60,bs2)   ;  
      
      

double HiDAILY  = MathMax(H,H2);
double LoDAILY  = MathMin(L,L2);
double currentm  = HiDAILY-LoDAILY;

r = HiDAILY +2*currentm;
s =LoDAILY -2*currentm;




//p = (yesterday_high + yesterday_low+ yesterday_open+yesterday_close )/4; 
p = (today_high+today_low) / 2;
p2 = (today_high+today_low+today_open+current ) / 4; 


wob= (( w_high-w_open+current-w_low) / (2*(w_high-w_low)));  
ddob = (( ddyesterday_high-ddyesterday_open+ddyesterday_close-ddyesterday_low) / (2*(ddyesterday_high-ddyesterday_low)));
dob = (( dyesterday_high-dyesterday_open+dyesterday_close-dyesterday_low) / (2*(dyesterday_high-dyesterday_low)));
ob = (( yesterday_high-yesterday_open+yesterday_close-yesterday_low) / (2*(yesterday_high-yesterday_low)));
tob=(( today_high-today_open+current-today_low) / (2*(today_high-today_low))); 


WindowRedraw() ;
 
drawLine(today_open,"to",White,1);
drawLabel("to",today_open,White);

drawLine(today_high,"high",Magenta,1);
drawLabel("high",today_high,Magenta);

drawLine(today_low,"low",Magenta,1);
drawLabel("low",today_low,Magenta);

drawLine(p2,"p2",Aqua,1);
drawLabel("p2",p2,Aqua);

drawLine(p,"p",Yellow,1);
drawLabel("p",p,Yellow);

drawLine(r,"r",Blue,1);
drawLabel("r",r,Blue);

drawLine(s,"s",Blue,1);
drawLabel("s",s,Blue);



return(0);

  }
  

  
  void drawLabel(string name,double lvl,color Color)
{
    if(ObjectFind(name) != 0)
    {
        ObjectCreate(name, OBJ_TEXT, 0, Time[10], lvl);
        ObjectSetText(name, name, 8, "Arial", EMPTY);
        ObjectSet(name, OBJPROP_COLOR, Color);
    }
    else
    {
        ObjectMove(name, 0, Time[10], lvl);
    }
}


void drawLine(double lvl,string name, color Col,int type)
{
         if(ObjectFind(name) != 0)
         {
            ObjectCreate(name, OBJ_HLINE, 0, Time[0], lvl,Time[0],lvl);
            
            if(type == 1)
            ObjectSet(name, OBJPROP_STYLE, STYLE_SOLID);
            else
            ObjectSet(name, OBJPROP_STYLE, STYLE_DOT);
            
            ObjectSet(name, OBJPROP_COLOR, Col);
            ObjectSet(name,OBJPROP_WIDTH,1);
            
         }
         else
         {
            ObjectDelete(name);
            ObjectCreate(name, OBJ_HLINE, 0, Time[0], lvl,Time[0],lvl);
            
            if(type == 1)
            ObjectSet(name, OBJPROP_STYLE, STYLE_SOLID);
            else
            ObjectSet(name, OBJPROP_STYLE, STYLE_DOT);
            
            ObjectSet(name, OBJPROP_COLOR, Col);        
            ObjectSet(name,OBJPROP_WIDTH,1);
          
         }
}




