//+------------------------------------------------------------------+
//|                           TOB written  by TEO
// |              teoman@celik.com http://www.keyborsa.com
//|                                                                  |
//|                                                                  |
//+------------------------------------------------------------------+

#property indicator_separate_window
#property copyright "teo"
#property link      "teoman@celik.com"
#property indicator_buffers 1
#property indicator_color1 DodgerBlue


#property  indicator_level1  0.90
#property  indicator_level2  0.10




//---- input parameters


double rates_d1[][6];
double yesterday_high=0;
double yesterday_open=0;
double yesterday_low=0;
double yesterday_close=0;
double ob=0;

double dyesterday_high=0;
double dyesterday_open=0;
double dyesterday_low=0;
double dyesterday_close=0;
double dob=0,tob=0,atr=0;

double ddyesterday_high=0;
double ddyesterday_open=0;
double ddyesterday_low=0;
double ddyesterday_close=0;
double ddob=0;

double today_open=0;
double today_high=0;
double today_low=0;


double tob1[];

int barmax=24;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   string short_name;
//---- indicator line
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,tob1);
   IndicatorShortName("TOB_TEO");
   SetIndexLabel(0,"TOB_TEO");

//----
   SetIndexDrawBegin(0,0);
//----
   return(0);
  }

int start()
  {  
  static datetime prevtime = 0;
  
    RefreshRates();
  
  int limit;
   int i,counted_bars=IndicatorCounted();

   if(Bars<=barmax) return(0);

   if(counted_bars<1)
      for(i=1;i<=barmax;i++) tob1[Bars-i]=0.0;

   i=Bars-barmax-1;
   if(counted_bars>=barmax) i=Bars-counted_bars-1;
   



   limit=Bars-counted_bars;
  

   while(i>=0)
     {
     
     ArrayCopyRates(rates_d1, Symbol(), PERIOD_D1);



   if(TimeDayOfWeek(iTime(Symbol(),PERIOD_D1,i)) == 0)
         {
     
ddyesterday_close = rates_d1[4][4];
ddyesterday_open = rates_d1[4][1];
ddyesterday_high = rates_d1[4][3];
ddyesterday_low = rates_d1[4][2];  
     
dyesterday_close = rates_d1[3][4];
dyesterday_open = rates_d1[3][1];
dyesterday_high = rates_d1[3][3];
dyesterday_low = rates_d1[3][2];
   
yesterday_close = rates_d1[2][4];
yesterday_open = rates_d1[2][1];
yesterday_high = rates_d1[2][3];
yesterday_low = rates_d1[2][2];

today_open = rates_d1[1][1];
today_high = rates_d1[1][3];
today_low  = rates_d1[1][2];
 if(today_high < rates_d1[0][3] ) {
      today_high = rates_d1[0][3];
   }
   if(today_low > rates_d1[0][2] ) {
      today_low = rates_d1[0][2];
   }

         }
            if(TimeDayOfWeek(iTime(Symbol(),PERIOD_D1,i)) == 1)
         {

   ddyesterday_open = rates_d1[4][1];
   ddyesterday_low = rates_d1[4][2]; 
   ddyesterday_high = rates_d1[4][3]; 
   ddyesterday_close = rates_d1[4][4];
     
   
   dyesterday_open = rates_d1[3][1];
   dyesterday_low = rates_d1[3][2];
   dyesterday_high = rates_d1[3][3];
   dyesterday_close = rates_d1[3][4];
 
   
   
   yesterday_open = rates_d1[2][1];
   yesterday_low = rates_d1[2][2];
   yesterday_high = rates_d1[2][3];
   yesterday_close = rates_d1[2][4];
  



   today_open = rates_d1[1][1];
   today_low  = rates_d1[1][2];
   today_high = rates_d1[1][3];
   
      if(today_high < rates_d1[0][3] ) {
      today_high = rates_d1[0][3];
   }
   if(today_low > rates_d1[0][2] ) {
      today_low = rates_d1[0][2];
   }
   
  
         }
           if(TimeDayOfWeek(iTime(Symbol(),PERIOD_D1,i)) == 2)
         {
ddyesterday_close = rates_d1[4][4];
ddyesterday_open = rates_d1[4][1];
ddyesterday_high = rates_d1[4][3];
ddyesterday_low = rates_d1[4][2];  
     
dyesterday_close = rates_d1[3][4];
dyesterday_open = rates_d1[3][1];
dyesterday_high = rates_d1[3][3];
dyesterday_low = rates_d1[3][2];
   
   
yesterday_close = rates_d1[1][4];
yesterday_open = rates_d1[2][1];
yesterday_high = rates_d1[2][3];
yesterday_low = rates_d1[2][2];
      if(yesterday_high < rates_d1[1][3] ) {
      yesterday_high = rates_d1[1][3];
   }
   if(yesterday_low > rates_d1[1][2] ) {
      yesterday_low = rates_d1[1][2];
   }


today_open = rates_d1[0][1];
today_high = rates_d1[0][3];
today_low  = rates_d1[0][2];
         }
          if(TimeDayOfWeek(iTime(Symbol(),PERIOD_D1,i)) == 3)
         {
ddyesterday_close = rates_d1[4][4];
ddyesterday_open = rates_d1[4][1];
ddyesterday_high = rates_d1[4][3];
ddyesterday_low = rates_d1[4][2]; 


dyesterday_close = rates_d1[2][4];
dyesterday_open = rates_d1[3][1];
dyesterday_high = rates_d1[3][3];
dyesterday_low = rates_d1[3][2];

      if(dyesterday_high < rates_d1[2][3] ) {
      dyesterday_high = rates_d1[2][3];
   }
   if(dyesterday_low > rates_d1[2][2] ) {
      dyesterday_low = rates_d1[2][2];
   }



   
yesterday_close = rates_d1[1][4];
yesterday_open = rates_d1[1][1];
yesterday_high = rates_d1[1][3];
yesterday_low = rates_d1[1][2];

today_open = rates_d1[0][1];
today_high = rates_d1[0][3];
today_low  = rates_d1[0][2];
         }
         
             if(TimeDayOfWeek(iTime(Symbol(),PERIOD_D1,i)) == 4)
         {
ddyesterday_close = rates_d1[3][4];
ddyesterday_open = rates_d1[3][1];
ddyesterday_high = rates_d1[3][3];
ddyesterday_low = rates_d1[3][2]; 

     
dyesterday_close = rates_d1[2][4];
dyesterday_open = rates_d1[2][1];
dyesterday_high = rates_d1[2][3];
dyesterday_low = rates_d1[2][2];
   
yesterday_close = rates_d1[1][4];
yesterday_open = rates_d1[1][1];
yesterday_high = rates_d1[1][3];
yesterday_low = rates_d1[1][2];

today_open = rates_d1[0][1];
today_high = rates_d1[0][3];
today_low  = rates_d1[0][2];
         }
         
         if(TimeDayOfWeek(iTime(Symbol(),PERIOD_D1,i)) == 5)
         {
ddyesterday_close = rates_d1[3][4];
ddyesterday_open = rates_d1[3][1];
ddyesterday_high = rates_d1[3][3];
ddyesterday_low = rates_d1[3][2];  
     
dyesterday_close = rates_d1[2][4];
dyesterday_open = rates_d1[2][1];
dyesterday_high = rates_d1[2][3];
dyesterday_low = rates_d1[2][2];
   
yesterday_close = rates_d1[1][4];
yesterday_open = rates_d1[1][1];
yesterday_high = rates_d1[1][3];
yesterday_low = rates_d1[1][2];

today_open = rates_d1[0][1];
today_high = rates_d1[0][3];
today_low  = rates_d1[0][2];
         }
  
       tob1[i]=(( today_high-today_open+iClose(NULL,60,i)-today_low) / (2*(today_high-today_low))); 
      
      i--;
     }
     
   
        
   return(0);
  }
//+------------------------------------------------------------------+